{
  "extends": [
    "eslint:recommended",
    "plugin:prettier/recommended",
    "plugin:react/recommended",
    "plugin:react-hooks/recommended"
  ],
  "env": {
    "browser": true, // Allows access to browser globals like `localStorage`
    "node": true, // If you're also using Node.js
    "es2021": true // Use ECMAScript 2021 features
  },
  "parserOptions": {
    "ecmaVersion": "latest",
    "sourceType": "module",
    "ecmaFeatures": {
      "jsx": true
    }
  },
  "settings": {
    "react": {
      "version": "detect" // Automatically detect the React version
    }
  },
  "rules": {
    "camelcase": ["error", { "properties": "always" }],
    "multiline-ternary": ["error", "never"],
    "no-debugger": "off",
    "no-console": "warn"
  }
}
